Subject: Re: libstdc++/7168: C++ Exceptions in Multithreaded Applications Crash (cygwin)
From: Lenny Primak <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 3 Jul 2002 13:53:44 -0400

Thanks, already done w/cc on the previous e-mail.

Thanks for the help you are giving me anyway.

btw: the example that's submitted with the bug will not work with gcc 3,
so this presents another problem of how to specifically test for this 
error
in the gcc 3.0 tree.

On Wednesday, July 3, 2002, at 01:38  PM, Benjamin Kosnik wrote:

>
>> Can somebody verify that C++ MT-exceptions work in the latest
>> gcc 3.0 builds for cygwin?  If true, I can volunteer to build the
>> binaries.
>
> I don't have access to a windows setup, so I am unable to help you. I
> suggest you email some of the people building current gcc under cygwin,
> the people who submit results to gcc-testresults, and ask them politely
> to try your sample code.
>
> I suspect it works, but do not know for certain. The C++ results, in
> general, look quite good for cygwin with recent toolchains.
>
> -benjamin
>
Lenny Primak
PP-ASEL,H-IA
http://hope.nyc.ny.us

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/